security:
    encoders:
        App\Entity\User: bcrypt # Encriptage du user par défaut

    # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
    providers:
        # in_memory: { memory: ~ }
        user_provider:
            entity:
                class: App\Entity\User
                property: email
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            anonymous: true

            # activate different ways to authenticate

            # http_basic: true
            # https://symfony.com/doc/current/security.html#a-configuring-how-your-users-will-authenticate

            form_login:
                login_path: security_login # Permet à symfony de connaitre notre route de connexion
                check_path: security_login # Route généré par symfony pour vérifier nos informations de connexion à partir de notre route connexion
                username_parameter: app_login[email]
                password_parameter: app_login[password]

            provider: user_provider
            logout_on_user_change: true
            logout:
                path: /deconnexion
                target: /

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        # - { path: ^/admin, roles: ROLE_ADMIN }
        # - { path: ^/profile, roles: ROLE_USER }

    role_hierarchy: # Mettre les iérarchies entre les roles
        ROLE_ADMIN: ROLE_ADMIN
        ROLE_MARKETING: ROLE_MARKETING
        ROLE_ACHAT: ROLE_ACHAT
        ROLE_FOURNISSEUR: ROLE_FOURNISSEUR
        ROLE_EMBALLAGE: ROLE_EMBALLAGE
        ROLE_LIVRAISON: ROLE_LIVRAISON
